# norootforbuild

%define _prefix	/usr

# no shared library policy on 10.3 as the library package
# contains a plugin directory that would conflict with other
# soname versions
%define	lib		libenca
%define	soname		0	
%define	libname		%{lib}%{soname}
Name:				enca
Version:			1.9
Release:			4.1
Summary:			Charset and Encoding Analyzer/Converter for Text Files
Source:			http://dl.cihar.com/MIRROR/enca/enca-%{version}.tar.gz
URL:				http://trific.ath.cx/software/enca/
Group:			Productivity/Text/Utilities
License:			GNU General Public License (GPL)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
Requires:		libenca = %{version}-%{release}
BuildRequires:	make gcc recode recode-devel gtkdoc
BuildRequires:	autoconf automake libtool

%description
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings. The
charset detecing functionality is also available as a library.

%package -n %{libname}
Summary:			Charset and Encoding Analyzer/Converter Library
Group:			Development/Libraries/C and C++
Provides:		%{lib}
Requires:		recode perl

%description -n %{libname}
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings.

%package -n libenca-devel
Summary:			Development Environment for libenca
Group:			Development/Libraries/C and C++
Requires:		libenca = %{version}-%{release}

%description -n libenca-devel
Development Environment for libenca.

%debug_package
%prep
%setup -q

%build
%configure \
	--with-librecode=/usr \
	--enable-external \
	--enable-gtk-doc

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__mkdir RPMDOC
%__mv "%{buildroot}%{_datadir}/gtk-doc/html/libenca" RPMDOC/html

%clean
%__rm -rf "%{buildroot}"

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog TODO
%{_bindir}/enca
%{_bindir}/enconv
%doc %{_mandir}/man1/enca.1*
%doc %{_mandir}/man1/enconv.1*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog* COPYING FAQ NEWS README* THANKS TODO
%dir %{_libexecdir}/enca
%dir %{_libexecdir}/enca/extconv
%{_libexecdir}/enca/extconv/*
%{_libdir}/libenca.so.*

%files -n libenca-devel
%defattr(-,root,root)
%doc RPMDOC/html
%{_includedir}/enca.h
%{_libdir}/libenca.so
%{_libdir}/libenca.la
%{_libdir}/libenca.a
%{_libdir}/pkgconfig/enca.pc

%changelog
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com> - 1.9
- initial import

